package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 机构表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
@Data
@ApiModel(value = "机构表")
public class PensionOrganizationDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "机构名称")
	private String name;

	@ApiModelProperty(value = "机构图标")
	private String icon;

	@ApiModelProperty(value = "机构描述")
	private String description;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;


}