package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 新闻管理
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_news")
public class NewsEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 标题
     */
	private String title;
    /**
     * 内容
     */
	private String content;
    /**
     * 发布时间
     */
	private Date pubDate;
    /**
     * 创建者dept_id
     */
	private Long deptId;
    /**
     * 更新者
     */
	private Long updater;


	private Integer status;
    /**
     * 更新时间
     */
	private Date updateDate;
}
