package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 机构服务关系
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_organization_service")
public class PensionOrganizationServiceEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 机构ID
     */
	private Long organizationId;
    /**
     * 服务ID
     */
	private Long serviceId;
}