package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 订单服务关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
public class PensionOrderServiceExcel {
    @Excel(name = "")
    private Long id;
    @Excel(name = "订单id")
    private Long orderId;
    @Excel(name = "服务id")
    private Long serviceId;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}