package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 机构表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
@Data
public class PensionOrganizationExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "机构名称")
    private String name;
    @Excel(name = "机构图标")
    private String icon;
    @Excel(name = "机构描述")
    private String description;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;

}