package io.hmit.modules.serviceOrder.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.modules.serviceOrder.dao.PensionCommunityDao;
import io.hmit.modules.serviceOrder.dto.PensionCommunityDTO;
import io.hmit.modules.serviceOrder.entity.PensionCommunityEntity;
import io.hmit.modules.serviceOrder.service.PensionCommunityService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 社区表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-03
 */
@Service
public class PensionCommunityServiceImpl extends CrudServiceImpl<PensionCommunityDao, PensionCommunityEntity, PensionCommunityDTO> implements PensionCommunityService {

    @Override
    public QueryWrapper<PensionCommunityEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<PensionCommunityEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}