package io.hmit.dto;

import io.hmit.modules.serviceOrder.dto.PensionOldFamilyDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Description :
 * @Author : Shen Yuanfeng
 * @Date: 2021/3/18 16:01
 */
@Data
@ApiModel(value = "老人信息")
public class OldUserInfoDTO {    @ApiModelProperty(value = "用户id")

    private Long id;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String mobile;
    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String gender;
    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private Date birthday;
    /**
     * 地址_地区
     */
    @ApiModelProperty(value = "地址_地区")
    private String addressArea;
    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "所属社区名称")
    private String communityName;

    @ApiModelProperty(value = "身体状态")
    private String healthStatus;

    @ApiModelProperty(value = "家属信息")
    private List<PensionOldFamilyDTO> pensionOldFamilyDTOList;

}
