package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-05-06
 */
@Data
@ApiModel(value = "")
public class PensionConsigneeDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "")
	private Long id;

	@ApiModelProperty(value = "用户ID")
	private Long userId;

	@ApiModelProperty(value = "收货人姓名")
	private String consigneeName;

	@ApiModelProperty(value = "收货人电话")
	private String consigneeMobile;

	@ApiModelProperty(value = "省份")
	private String consigneeProvince;

	@ApiModelProperty(value = "城市")
	private String consigneeCity;

	@ApiModelProperty(value = "区/县")
	private String consigneeDistrict;

	@ApiModelProperty(value = "详细地址")
	private String consigneeAddress;

	@ApiModelProperty(value = "邮编")
	private String consigneeZip;

	@ApiModelProperty(value = "是否为默认地址")
	private Integer ifDefault;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}