package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 老人与家属的关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-18
 */
@Data
@ApiModel(value = "老人与家属的关联表")
public class PensionOldFamilyDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "")
	private Long id;

	@ApiModelProperty(value = "老人id")
	private Long oldId;

	@ApiModelProperty(value = "老人与家属的关系")
	private String parentRole;

	@ApiModelProperty(value = "家属id")
	private Long familyMemberId;

	@ApiModelProperty(value = "家属姓名")
	private String familyMemberName;

	@ApiModelProperty(value = "家属与老人的关系")
	private String familyMemberRole;

	@ApiModelProperty(value = "性别")
	private String gender;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "身份证号")
	private String idCardNo;

	@ApiModelProperty(value = "地址_地区")
	private String addressArea;

	@ApiModelProperty(value = "详细地址")
	private String address;

}