package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description :
 * @Author : Shen Yuanfeng
 * @Date: 2021/3/12 8:31
 */

@Data
@ApiModel(value = "服务人员完成订单传值")
public class StaffFinishDTO {
    @ApiModelProperty(value = "订单所属的服务id")
    private Long orderId;

    @ApiModelProperty(value = "描述服务内容")
    private String content;

    @ApiModelProperty(value = "定位坐标")
    private String location;

    @ApiModelProperty(value = "服务人员评论照片")
    private String[] images;

    @ApiModelProperty(value = "服务人员语音")
    private String[] voice;

    @ApiModelProperty(value = "角色id")
    private Long roleId;

}
