package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 老人与家属的关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_old_family")
public class PensionOldFamilyEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 老人id
     */
	private Long oldId;
    /**
     * 老人与家属的关系
     */
	private String parentRole;
    /**
     * 家属id
     */
	private Long familyMemberId;
    /**
     * 家属与老人的关系
     */
	private String familyMemberRole;
    /**
     * 备注
     */
	private String remark;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}