package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionOrderDocumentDTO;
import io.hmit.modules.serviceOrder.entity.PensionOrderDocumentEntity;

import java.util.List;

/**
 * 订单及相关图片附件关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-11
 */
public interface PensionOrderDocumentService extends CrudService<PensionOrderDocumentEntity, PensionOrderDocumentDTO> {

    List<PensionOrderDocumentDTO> findByOrderIdAndRemark(Long id, String reamrk);

    PensionOrderDocumentDTO findStaffVoiceId(Long orderId);

}