package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionOrderEvaluationDTO;
import io.hmit.modules.serviceOrder.entity.PensionOrderEvaluationEntity;

/**
 * 订单评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-11
 */
public interface PensionOrderEvaluationService extends CrudService<PensionOrderEvaluationEntity, PensionOrderEvaluationDTO> {

    PensionOrderEvaluationDTO findByOrderId(Long orderId);

}