package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 老人与家属的关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-18
 */
@Data
@ApiModel(value = "老人与家属的关联表")
public class PensionOldFamilyDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "")
	private Long id;

	@ApiModelProperty(value = "老人id")
	private Long oldId;

	@ApiModelProperty(value = "老人与家属的关系")
	private String parentRole;

	@ApiModelProperty(value = "家属id")
	private Long familyMemberId;

	@ApiModelProperty(value = "家属与老人的关系")
	private String familyMemberRole;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新者")
	private Long updater;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}