package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-05-06
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_consignee")
public class PensionConsigneeEntity {
	private static final long serialVersionUID = 1L;

	@TableId
	private Long id;
    /**
     * 用户ID
     */
	private Long userId;
    /**
     * 收货人姓名
     */
	private String consigneeName;
    /**
     * 收货人电话
     */
	private String consigneeMobile;
    /**
     * 省份
     */
	private String consigneeProvince;
    /**
     * 城市
     */
	private String consigneeCity;
    /**
     * 区/县
     */
	private String consigneeDistrict;
    /**
     * 详细地址
     */
	private String consigneeAddress;
    /**
     * 邮编
     */
	private String consigneeZip;
    /**
     * 是否为默认地址
     */
	private Integer ifDefault;
    /**
     * 状态
     */
	private Integer status;
    /**
     * 备注
     */
	private String remark;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date createDate;
    /**
     * 更新时间
     */
	private Date updateDate;
}