package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 服务表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_service")
public class PensionServiceEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 服务名称
     */
	private String serviceName;
    /**
     * 服务父类id
     */
	private Long pid;
    /**
     * 排序
     */
	private Integer sort;
    /**
     * 首页图标地址
     */
	private String icon;
    /**
     * 详情页大图地址
     */
	private String detailPicture;
    /**
     * 价格
     */
	private BigDecimal price;
    /**
     * 积分值
     */
	private Integer giftPoint;
    /**
     * 服务次数
     */
	private Integer timesNum;
    /**
     * 服务时间
     */
	private String serviceTime;
    /**
     * 备注
     */
	private String remark;
    /**
     * 部门ID
     */
	private Long deptId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
	/**
	 * 服务内容介绍
	 */
	private String serviceContent;

}
