package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 老人与家属的关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-18
 */
@Data
public class PensionOldFamilyExcel {
    @Excel(name = "")
    private Long id;
    @Excel(name = "老人id")
    private Long oldId;
    @Excel(name = "老人与家属的关系")
    private String parentRole;
    @Excel(name = "家属id")
    private Long familyMemberId;
    @Excel(name = "家属与老人的关系")
    private String familyMemberRole;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}