package io.hmit.modules.serviceOrder.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionOrderDTO;
import io.hmit.modules.serviceOrder.entity.PensionOrderEntity;

import java.util.Map;

/**
 * 订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
public interface PensionOrderService extends CrudService<PensionOrderEntity, PensionOrderDTO> {

    //查询机构订单
    PageData<PensionOrderDTO> getOrganizationOrder(Map<String, Object> params, Long userId);
    Boolean organizationHandle(Map<String, Object> params, Long userId);

}
