package io.hmit.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport;

/**
 * @Description : TODO
 * @Author : Shen Yuanfeng
 * @Date : 2021/5/7 13:48
 */

//@Configuration
public class StaticMvcConfigurer extends WebMvcConfigurationSupport {

    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        registry.addResourceHandler("/static/**")
                .addResourceLocations("file:/home/websoft/java_jar/pension_service/myfile/");
        registry.addResourceHandler("swagger-ui.html", "/webjars/**")
                .addResourceLocations("classpath:/META-INF/resources/","classpath:/META-INF/resources/webjars/");
        super.addResourceHandlers(registry);
    }
}
