package io.hmit.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/1/27
 */

@Data
@ApiModel(value = "机构信息")
public class OrgUserInfoDTO {

    @ApiModelProperty(value = "用户id")
    private Long id;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "机构名称")
    private String name;

    @ApiModelProperty(value = "机构图标")
    private String icon;

    @ApiModelProperty(value = "机构描述")
    private String description;

    @ApiModelProperty(value = "服务区域")
    private String serviceArea;

}
