package io.hmit.dto;

import io.hmit.modules.serviceOrder.dto.PensionOldFamilyDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/1/27
 */
@Data
@ApiModel(value = "用户信息")
public class ServiceUserInfoDTO {

    @ApiModelProperty(value = "用户id")
    private Long id;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String mobile;
    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String gender;
    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private Date birthday;
    /**
     * 地址_地区
     */
    @ApiModelProperty(value = "地址_地区")
    private String addressArea;
    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    private String address;
    /**
     * 机构ID
     */
    @ApiModelProperty(value = "机构ID")
    private String orgId;
    /**
     * 机构名称
     */
    @ApiModelProperty(value = "机构ID")
    private String orgName;
    /**
     * 服务区域
     */
    @ApiModelProperty(value = "服务区域")
    private String serviceArea;

}
