package io.hmit.modules.serviceOrder.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.serviceOrder.dto.PensionOldFamilyDTO;
import io.hmit.modules.serviceOrder.entity.PensionOldFamilyEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 老人与家属的关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-18
 */
@Mapper
public interface PensionOldFamilyDao extends BaseDao<PensionOldFamilyEntity> {

    List<PensionOldFamilyDTO> findByOldId(Long oldId);

}