package io.hmit.modules.serviceOrder.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.serviceOrder.entity.PensionOrganizationServiceEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 机构服务关系
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-10
 */
@Mapper
public interface PensionOrganizationServiceDao extends BaseDao<PensionOrganizationServiceEntity> {

    /**
     * 根据用户Id查询出机构的全部服务ID
     * @param userId
     * @return
     */
    List<Long> findServiceIdListByServiceUserId(Long userId);

}