package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 服务表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@ApiModel(value = "服务表")
public class PensionServiceDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "服务名称")
	private String serviceName;

	@ApiModelProperty(value = "服务父类id")
	private Long pid;

	@ApiModelProperty(value = "服务内容介绍")
	private String serviceContent;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "首页图标地址")
	private String icon;

	@ApiModelProperty(value = "详情页大图地址")
	private String detailPicture;

	@ApiModelProperty(value = "价格")
	private BigDecimal price;

	@ApiModelProperty(value = "积分值")
	private Integer giftPoint;

	@ApiModelProperty(value = "服务次数")
	private Integer timesNum;

	@ApiModelProperty(value = "服务时间")
	private String serviceTime;

	@ApiModelProperty(value = "备注")
	private String remark;

}
