package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description : 提供用户地址信息（非用户收货地址信息）
 * @Author : Shen Yuanfeng
 * @Date : 2021/5/6 13:30
 */

@Data
@ApiModel(value = "用户地址信息")
public class UserAddressDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "用户姓名")
    private String username;

    @ApiModelProperty(value = "用户手机号")
    private String mobile;

    @ApiModelProperty(value = "用户地址_地区")
    private String addressArea;

    @ApiModelProperty(value = "用户详细地址")
    private String address;

}
