package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 订单评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-03-11
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_order_evaluation")
public class PensionOrderEvaluationEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
	private Long orderId;
    /**
     * 好差评 1 好评； 2 中评； 3  差评
     */
	private Integer evaluationReview;
    /**
     * 星级 1-5 分别对应一星---五星
     */
	private String starRating;
    /**
     * 评价内容
     */
	private String content;
    /**
     * 评价文件地址
     */
	private String file;
}
