package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionDocumentDTO;
import io.hmit.modules.serviceOrder.entity.PensionDocumentEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * 文件信息表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
public interface PensionDocumentService extends CrudService<PensionDocumentEntity, PensionDocumentDTO> {

    Map<String, Object> uploadFile(MultipartFile file);

}